NSX-T Data Center REST API
Create or update BGP neighbor config
If a BGP neighbor config is not already present, create a new BGP neighbor config.If it already exists, update the BGP neighbor config. This operation will fully replace the object.
Request:
Method:
PUT
URI Path(s):
/policy/api/v1/infra/route-controllers/{router-controller-id}/bgp/neighbors/{neighbor-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
RouteControllerBgpNeighborConfig+
Example Request:
PUT https://<policy-mgr>/policy/api/v1/infra/route-controllers/RC-1/bgp/neighbors/RC-1-bgp-neighbor-1 { "source_addresses": ["40.40.40.101"], "neighbor_address": "40.40.40.10", "remote_as_num": "521" }Successful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RouteControllerBgpNeighborConfig+